<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width">

    <title>{ifset title}{include title|stripHtml} | {/ifset}Nette Web</title>

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="stylesheet" href="/style.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="/nette.ajax.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons/font/bootstrap-icons.css">
</head>

<body>

{snippet messages}
<div class="messages">
    <div n:foreach="$flashes as $flash" class="alert {if $flash->type == 'error'}alert-danger{elseif $flash->type == 'success'}alert-success{/if}" role="alert">
        {$flash->message}
    </div>
    {*<div n:foreach="$flashes as $flash" n:class="flash, $flash->type">{$flash->message}</div>*}
</div>
<script>
    setTimeout(function() {
        $('.messages').slideUp();
    }, 5000);
</script>
{/snippet}

<section class="header">
    <h1>{ifset header}{include header|stripHtml}{/ifset}</h1>
</section>

<section class="menu">
    <a n:href="Homepage:default"
            class="btn {if $presenter->isLinkCurrent('Homepage:*')}btn-primary{else}btn-outline-primary{/if}">Úvod</a>
    <a n:href="Channels:default"
            class="btn {if $presenter->isLinkCurrent('Channels:*')}btn-primary{else}btn-outline-primary{/if}">Kanály</a>
</section>

{include content}

{block scripts}
    <script src="https://nette.github.io/resources/js/3/netteForms.min.js"></script>
{/block}

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
        crossorigin="anonymous"></script>
<script>
    $(function () {
        $.nette.init();
    });
</script>

</body>
</html>
